IF OBJECT_ID('[DockerRepositories]') IS NOT NULL DROP VIEW [DockerRepositories]
GO

CREATE VIEW [DockerRepositories]
AS

SELECT DI.*,
       DRD.[ShortDescription_Text],
	   DRD.[FullDescription_Text]
  FROM (SELECT [Feed_Id],
	           [Repository_Name],
	           [Download_Count] = SUM([Download_Count]),
	           [Updated_Date] = MAX([Published_Date]),
	           [Image_Count] = COUNT(*),
	           [Cached_Indicator] = CASE WHEN COUNT(CASE WHEN [Cached_Indicator] = 'N' THEN 1 ELSE NULL END) = 0 THEN 'Y' ELSE 'N' END
          FROM [DockerImages]
         GROUP BY [Feed_Id], [Repository_Name]) DI
     LEFT JOIN [DockerRepositoryDescriptions] DRD
	         ON DRD.[Feed_Id] = DI.[Feed_Id]
	 	    AND DRD.[Repository_Name] = DI.[Repository_Name]

GO
