EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'IndexingServers_DeleteServer',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes an indexing server.'
GO

IF OBJECT_ID('[IndexingServers_DeleteServer]') IS NOT NULL
	DROP PROCEDURE [IndexingServers_DeleteServer]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [IndexingServers_DeleteServer]
(
	@Server_Name NVARCHAR(64)
)
AS
BEGIN
SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [IndexingServers] WITH (TABLOCK)
	 WHERE [Server_Name] = @Server_Name

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH


END
GO

GRANT EXECUTE ON [IndexingServers_DeleteServer] TO [ProGetUser_Role]
GO
