EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'NpmFeeds_GetLatestPackageVersions',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'NpmPackages_Latest',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the latest versions of packages in a feed.'
GO

IF OBJECT_ID('[NpmFeeds_GetLatestPackageVersions]') IS NOT NULL
	DROP PROCEDURE [NpmFeeds_GetLatestPackageVersions]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [NpmFeeds_GetLatestPackageVersions]
(
	@Feed_Id INT,
	@Since_Date DATETIME = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [NpmPackages_Latest]
	 WHERE [Feed_Id] = @Feed_Id
	   AND @Since_Date IS NULL OR ([Published_Date] >= @Since_Date)
	 ORDER BY [Package_Name]

END
GO

GRANT EXECUTE ON [NpmFeeds_GetLatestPackageVersions] TO [ProGetUser_Role]
GO