EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'RubyGems_GetPopularGems',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'RubyGems_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the gems in a Ruby Gems feed that have been downloaded the most.'
GO

IF OBJECT_ID('[RubyGems_GetPopularGems]') IS NOT NULL DROP PROCEDURE [RubyGems_GetPopularGems]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RubyGems_GetPopularGems]
(
	@Feed_Id INT,
	@Max_Count INT
)
AS
BEGIN

SET NOCOUNT ON

	IF @Max_Count IS NOT NULL
		SET ROWCOUNT @Max_Count

	SELECT *
	  FROM [RubyGems_Extended]
	 WHERE [Feed_Id] = @Feed_Id
	 ORDER BY [Download_Count] DESC

END
GO

GRANT EXECUTE ON [RubyGems_GetPopularGems] TO [ProGetUser_Role]
GO