EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Users_DeleteUser',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a user.'
GO

IF OBJECT_ID('[Users_DeleteUser]') IS NOT NULL DROP PROCEDURE [Users_DeleteUser]
GO

CREATE PROCEDURE [Users_DeleteUser]
(
	@User_Name USERNAME
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [Privileges]
	 WHERE [Principal_Name] = @User_Name
	   AND [PrincipalType_Code] = 'U'
	   AND [UserDirectory_Id] = 1

	DELETE [UserGroups]
	 WHERE [User_Name] = @User_Name

	DELETE [Users]
	 WHERE [User_Name] = @User_Name

	EXEC [Events_RaiseEvent] 'USRDLU', NULL, 'User_Name', @User_Name

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Users_DeleteUser] TO [ProGetUser_Role]
GO
